Subject: Re: GNU-Win32 : gettimeofday
From: [email-masked] (James Dumser)

31 May 1997 07:01:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Lim Chu Cheow, Dr)
Original-Cc: [email-masked]
In-Reply-To: <c=US%a=_%p=NTU%l=[email-masked]> from "Lim Chu Cheow, Dr" at May 30, 97 10:43:28 am
X-MIMI-Options: headers none
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

On Fri, 30 May 1997 10:43:28 +0800, Lim Chu Cheow, Dr
  <[email-masked]> wrote:
>Thanks!  Since I don't follow the Unix standard changes very 
>closely, I'm a little confused now.  On a SVR4 (Solaris 2.4),
>from the man page, I get:
>
>     int gettimeofday(struct timeval *tp);
>
>Whereas for a SunOS 4.1.3, I get from the man page:
>
>     int gettimeofday(tp, tzp)
>     struct timeval *tp;
>     struct timezone *tzp;
>
>So GNU-Win32 is following an "older" Unix standard (whichever it is)?

It's more of a System V (Solaris) versus BSD (SunOS) thing. Cygwin
currently follows BSD closer than System V because there's lots of BSD
source code available that they can grab for free (System V source would
have to be licensed from AT&T or developed completely independently).

-- 
James Dumser    972-462-5335 [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".